
QGIS Application - Bug report #5556

Label field not saved

2012-05-08 11:38 AM - Pierre-Luc Auclair

Status: Closed

Priority: High

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 15142

Description

The "Field containing label" property is not saved, using the normal labeling symbology.

If this is relevant in any way : the layer is a polygon layer, and the label is displaying joined data (the source is an excel file).

Using version 1.8.0.6 on Windows.

History

#1 - 2012-05-08 11:41 AM - Giovanni Manghi

what do you mean with "normal" labelling symbology? the one available in the vector properties or the one available trough the "abc" button in the labelling

toolbar? thanks.

#2 - 2012-05-08 11:47 AM - Pierre-Luc Auclair

The one in vector properties.

#3 - 2012-05-08 11:50 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

Pierre-Luc Auclair wrote:

The one in vector properties.

that is the old engine, no more maintained and kept until 2.0 just for compatibility with old projects. Please use the new tool. Cheers!

#4 - 2012-05-08 11:54 AM - Pierre-Luc Auclair

Thanks ! Did now know that ! Will the new engine eventually replace this screen ? Should I use the new engine exclusively or will the old symbology be

automagically converted to the new format ?

#5 - 2012-05-09 06:32 AM - Giovanni Manghi
Pierre-Luc Auclair wrote:

Will the new engine eventually replace this screen ?

not sure if new labelling will go in vector properties

Should I use the new engine exclusively

I would say yes

or will the old symbology be automagically converted to the new format ?

pretty sure this will not happen
